import * as snmp from 'net-snmp-typed';
export * from 'net-snmp-typed';
export declare class PromiseSession {
    private session;
    constructor(target: string, community: string, options?: snmp.SessionOptions);
    get(oids: string[]): Promise<snmp.Varbind[]>;
    getNext(oids: string[]): Promise<snmp.Varbind[]>;
    getBulk(oids: string[], nonRepeaters: number, maxRepetitions: number): Promise<snmp.Varbind[]>;
    private processBulkResponse;
    private processVarbind;
    close(): void;
}
